# Copyright 2023 The Pigweed Authors
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may not
# use this file except in compliance with the License. You may obtain a copy of
# the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations under
# the License.

"""Bazel transitions for sample project examples."""

load("@rules_platform//platform_data:defs.bzl", "platform_data")

def rp2040_binary(*, name = "", binary = "", **kwargs):
    return platform_data(name = name, target = binary, platform = "//targets/rp2040:platform", **kwargs)

def stm32_binary(*, name = "", binary = "", **kwargs):
    return platform_data(name = name, target = binary, platform = "//targets/stm32f429i_disc1_stm32cube:platform", **kwargs)
